]> git.jsancho.org Git - gacela.git/blob - Makefile
Gacela con autotools (primer intento)
[gacela.git] / Makefile
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15
16
17
18 pkgdatadir = $(datadir)/gacela
19 pkglibdir = $(libdir)/gacela
20 pkgincludedir = $(includedir)/gacela
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 subdir = .
34 DIST_COMMON = README $(am__configure_deps) $(dist_doc_DATA) \
35         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
36         $(srcdir)/config.h.in $(top_srcdir)/configure COPYING depcomp \
37         install-sh missing
38 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
40 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41         $(ACLOCAL_M4)
42 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
43  configure.lineno config.status.lineno
44 mkinstalldirs = $(install_sh) -d
45 CONFIG_HEADER = config.h
46 CONFIG_CLEAN_FILES =
47 SOURCES =
48 DIST_SOURCES =
49 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
50         html-recursive info-recursive install-data-recursive \
51         install-dvi-recursive install-exec-recursive \
52         install-html-recursive install-info-recursive \
53         install-pdf-recursive install-ps-recursive install-recursive \
54         installcheck-recursive installdirs-recursive pdf-recursive \
55         ps-recursive uninstall-recursive
56 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
57 am__vpath_adj = case $$p in \
58     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
59     *) f=$$p;; \
60   esac;
61 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
62 am__installdirs = "$(DESTDIR)$(docdir)"
63 dist_docDATA_INSTALL = $(INSTALL_DATA)
64 DATA = $(dist_doc_DATA)
65 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
66   distclean-recursive maintainer-clean-recursive
67 ETAGS = etags
68 CTAGS = ctags
69 DIST_SUBDIRS = $(SUBDIRS)
70 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
71 distdir = $(PACKAGE)-$(VERSION)
72 top_distdir = $(distdir)
73 am__remove_distdir = \
74   { test ! -d $(distdir) \
75     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
76          && rm -fr $(distdir); }; }
77 DIST_ARCHIVES = $(distdir).tar.gz
78 GZIP_ENV = --best
79 distuninstallcheck_listfiles = find . -type f -print
80 distcleancheck_listfiles = find . -type f -print
81 ACLOCAL = ${SHELL} /home/jsancho/proyectos/gacela/trunk/missing --run aclocal-1.10
82 AMTAR = ${SHELL} /home/jsancho/proyectos/gacela/trunk/missing --run tar
83 AUTOCONF = ${SHELL} /home/jsancho/proyectos/gacela/trunk/missing --run autoconf
84 AUTOHEADER = ${SHELL} /home/jsancho/proyectos/gacela/trunk/missing --run autoheader
85 AUTOMAKE = ${SHELL} /home/jsancho/proyectos/gacela/trunk/missing --run automake-1.10
86 AWK = mawk
87 CC = gcc
88 CCDEPMODE = depmode=gcc3
89 CFLAGS = -g -O2
90 CPPFLAGS = 
91 CYGPATH_W = echo
92 DEFS = -DHAVE_CONFIG_H
93 DEPDIR = .deps
94 ECHO_C = 
95 ECHO_N = -n
96 ECHO_T = 
97 EXEEXT = 
98 GUILE = /usr/bin/guile
99 GUILE_CFLAGS =  
100 GUILE_CONFIG = /usr/bin/guile-config
101 GUILE_LDFLAGS =  -lguile -lltdl  -lgmp -lcrypt -lm -lltdl
102 GUILE_TOOLS = /usr/bin/guile-tools
103 INSTALL = /usr/bin/install -c
104 INSTALL_DATA = ${INSTALL} -m 644
105 INSTALL_PROGRAM = ${INSTALL}
106 INSTALL_SCRIPT = ${INSTALL}
107 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
108 LDFLAGS = 
109 LIBOBJS = 
110 LIBS = 
111 LTLIBOBJS = 
112 MAKEINFO = ${SHELL} /home/jsancho/proyectos/gacela/trunk/missing --run makeinfo
113 MKDIR_P = /bin/mkdir -p
114 OBJEXT = o
115 PACKAGE = gacela
116 PACKAGE_BUGREPORT = jsf@jsancho.org
117 PACKAGE_NAME = gacela
118 PACKAGE_STRING = gacela 0.5
119 PACKAGE_TARNAME = gacela
120 PACKAGE_VERSION = 0.5
121 PATH_SEPARATOR = :
122 SET_MAKE = 
123 SHELL = /bin/bash
124 STRIP = 
125 VERSION = 0.5
126 abs_builddir = /home/jsancho/proyectos/gacela/trunk
127 abs_srcdir = /home/jsancho/proyectos/gacela/trunk
128 abs_top_builddir = /home/jsancho/proyectos/gacela/trunk
129 abs_top_srcdir = /home/jsancho/proyectos/gacela/trunk
130 ac_ct_CC = gcc
131 am__include = include
132 am__leading_dot = .
133 am__quote = 
134 am__tar = ${AMTAR} chof - "$$tardir"
135 am__untar = ${AMTAR} xf -
136 bindir = ${exec_prefix}/bin
137 build_alias = 
138 builddir = .
139 datadir = ${datarootdir}
140 datarootdir = ${prefix}/share
141 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
142 dvidir = ${docdir}
143 exec_prefix = ${prefix}
144 host_alias = 
145 htmldir = ${docdir}
146 includedir = ${prefix}/include
147 infodir = ${datarootdir}/info
148 install_sh = $(SHELL) /home/jsancho/proyectos/gacela/trunk/install-sh
149 libdir = ${exec_prefix}/lib
150 libexecdir = ${exec_prefix}/libexec
151 localedir = ${datarootdir}/locale
152 localstatedir = ${prefix}/var
153 mandir = ${datarootdir}/man
154 mkdir_p = /bin/mkdir -p
155 oldincludedir = /usr/include
156 pdfdir = ${docdir}
157 prefix = /usr/local
158 program_transform_name = s,x,x,
159 psdir = ${docdir}
160 sbindir = ${exec_prefix}/sbin
161 sharedstatedir = ${prefix}/com
162 srcdir = .
163 sysconfdir = ${prefix}/etc
164 target_alias = 
165 top_builddir = .
166 top_srcdir = .
167 SUBDIRS = src
168 dist_doc_DATA = README
169 all: config.h
170         $(MAKE) $(AM_MAKEFLAGS) all-recursive
171
172 .SUFFIXES:
173 am--refresh:
174         @:
175 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
176         @for dep in $?; do \
177           case '$(am__configure_deps)' in \
178             *$$dep*) \
179               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
180               cd $(srcdir) && $(AUTOMAKE) --foreign  \
181                 && exit 0; \
182               exit 1;; \
183           esac; \
184         done; \
185         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
186         cd $(top_srcdir) && \
187           $(AUTOMAKE) --foreign  Makefile
188 .PRECIOUS: Makefile
189 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
190         @case '$?' in \
191           *config.status*) \
192             echo ' $(SHELL) ./config.status'; \
193             $(SHELL) ./config.status;; \
194           *) \
195             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
196             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
197         esac;
198
199 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
200         $(SHELL) ./config.status --recheck
201
202 $(top_srcdir)/configure:  $(am__configure_deps)
203         cd $(srcdir) && $(AUTOCONF)
204 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
205         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
206
207 config.h: stamp-h1
208         @if test ! -f $@; then \
209           rm -f stamp-h1; \
210           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
211         else :; fi
212
213 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
214         @rm -f stamp-h1
215         cd $(top_builddir) && $(SHELL) ./config.status config.h
216 $(srcdir)/config.h.in:  $(am__configure_deps) 
217         cd $(top_srcdir) && $(AUTOHEADER)
218         rm -f stamp-h1
219         touch $@
220
221 distclean-hdr:
222         -rm -f config.h stamp-h1
223 install-dist_docDATA: $(dist_doc_DATA)
224         @$(NORMAL_INSTALL)
225         test -z "$(docdir)" || $(MKDIR_P) "$(DESTDIR)$(docdir)"
226         @list='$(dist_doc_DATA)'; for p in $$list; do \
227           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
228           f=$(am__strip_dir) \
229           echo " $(dist_docDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(docdir)/$$f'"; \
230           $(dist_docDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(docdir)/$$f"; \
231         done
232
233 uninstall-dist_docDATA:
234         @$(NORMAL_UNINSTALL)
235         @list='$(dist_doc_DATA)'; for p in $$list; do \
236           f=$(am__strip_dir) \
237           echo " rm -f '$(DESTDIR)$(docdir)/$$f'"; \
238           rm -f "$(DESTDIR)$(docdir)/$$f"; \
239         done
240
241 # This directory's subdirectories are mostly independent; you can cd
242 # into them and run `make' without going through this Makefile.
243 # To change the values of `make' variables: instead of editing Makefiles,
244 # (1) if the variable is set in `config.status', edit `config.status'
245 #     (which will cause the Makefiles to be regenerated when you run `make');
246 # (2) otherwise, pass the desired values on the `make' command line.
247 $(RECURSIVE_TARGETS):
248         @failcom='exit 1'; \
249         for f in x $$MAKEFLAGS; do \
250           case $$f in \
251             *=* | --[!k]*);; \
252             *k*) failcom='fail=yes';; \
253           esac; \
254         done; \
255         dot_seen=no; \
256         target=`echo $@ | sed s/-recursive//`; \
257         list='$(SUBDIRS)'; for subdir in $$list; do \
258           echo "Making $$target in $$subdir"; \
259           if test "$$subdir" = "."; then \
260             dot_seen=yes; \
261             local_target="$$target-am"; \
262           else \
263             local_target="$$target"; \
264           fi; \
265           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
266           || eval $$failcom; \
267         done; \
268         if test "$$dot_seen" = "no"; then \
269           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
270         fi; test -z "$$fail"
271
272 $(RECURSIVE_CLEAN_TARGETS):
273         @failcom='exit 1'; \
274         for f in x $$MAKEFLAGS; do \
275           case $$f in \
276             *=* | --[!k]*);; \
277             *k*) failcom='fail=yes';; \
278           esac; \
279         done; \
280         dot_seen=no; \
281         case "$@" in \
282           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
283           *) list='$(SUBDIRS)' ;; \
284         esac; \
285         rev=''; for subdir in $$list; do \
286           if test "$$subdir" = "."; then :; else \
287             rev="$$subdir $$rev"; \
288           fi; \
289         done; \
290         rev="$$rev ."; \
291         target=`echo $@ | sed s/-recursive//`; \
292         for subdir in $$rev; do \
293           echo "Making $$target in $$subdir"; \
294           if test "$$subdir" = "."; then \
295             local_target="$$target-am"; \
296           else \
297             local_target="$$target"; \
298           fi; \
299           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
300           || eval $$failcom; \
301         done && test -z "$$fail"
302 tags-recursive:
303         list='$(SUBDIRS)'; for subdir in $$list; do \
304           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
305         done
306 ctags-recursive:
307         list='$(SUBDIRS)'; for subdir in $$list; do \
308           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
309         done
310
311 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
312         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
313         unique=`for i in $$list; do \
314             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
315           done | \
316           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
317               END { if (nonempty) { for (i in files) print i; }; }'`; \
318         mkid -fID $$unique
319 tags: TAGS
320
321 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
322                 $(TAGS_FILES) $(LISP)
323         tags=; \
324         here=`pwd`; \
325         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
326           include_option=--etags-include; \
327           empty_fix=.; \
328         else \
329           include_option=--include; \
330           empty_fix=; \
331         fi; \
332         list='$(SUBDIRS)'; for subdir in $$list; do \
333           if test "$$subdir" = .; then :; else \
334             test ! -f $$subdir/TAGS || \
335               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
336           fi; \
337         done; \
338         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
339         unique=`for i in $$list; do \
340             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
341           done | \
342           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
343               END { if (nonempty) { for (i in files) print i; }; }'`; \
344         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
345           test -n "$$unique" || unique=$$empty_fix; \
346           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
347             $$tags $$unique; \
348         fi
349 ctags: CTAGS
350 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
351                 $(TAGS_FILES) $(LISP)
352         tags=; \
353         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
354         unique=`for i in $$list; do \
355             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
356           done | \
357           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
358               END { if (nonempty) { for (i in files) print i; }; }'`; \
359         test -z "$(CTAGS_ARGS)$$tags$$unique" \
360           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
361              $$tags $$unique
362
363 GTAGS:
364         here=`$(am__cd) $(top_builddir) && pwd` \
365           && cd $(top_srcdir) \
366           && gtags -i $(GTAGS_ARGS) $$here
367
368 distclean-tags:
369         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
370
371 distdir: $(DISTFILES)
372         $(am__remove_distdir)
373         test -d $(distdir) || mkdir $(distdir)
374         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
375         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
376         list='$(DISTFILES)'; \
377           dist_files=`for file in $$list; do echo $$file; done | \
378           sed -e "s|^$$srcdirstrip/||;t" \
379               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
380         case $$dist_files in \
381           */*) $(MKDIR_P) `echo "$$dist_files" | \
382                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
383                            sort -u` ;; \
384         esac; \
385         for file in $$dist_files; do \
386           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
387           if test -d $$d/$$file; then \
388             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
389             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
390               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
391             fi; \
392             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
393           else \
394             test -f $(distdir)/$$file \
395             || cp -p $$d/$$file $(distdir)/$$file \
396             || exit 1; \
397           fi; \
398         done
399         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
400           if test "$$subdir" = .; then :; else \
401             test -d "$(distdir)/$$subdir" \
402             || $(MKDIR_P) "$(distdir)/$$subdir" \
403             || exit 1; \
404             distdir=`$(am__cd) $(distdir) && pwd`; \
405             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
406             (cd $$subdir && \
407               $(MAKE) $(AM_MAKEFLAGS) \
408                 top_distdir="$$top_distdir" \
409                 distdir="$$distdir/$$subdir" \
410                 am__remove_distdir=: \
411                 am__skip_length_check=: \
412                 distdir) \
413               || exit 1; \
414           fi; \
415         done
416         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
417           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
418           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
419           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
420         || chmod -R a+r $(distdir)
421 dist-gzip: distdir
422         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
423         $(am__remove_distdir)
424
425 dist-bzip2: distdir
426         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
427         $(am__remove_distdir)
428
429 dist-lzma: distdir
430         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
431         $(am__remove_distdir)
432
433 dist-tarZ: distdir
434         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
435         $(am__remove_distdir)
436
437 dist-shar: distdir
438         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
439         $(am__remove_distdir)
440
441 dist-zip: distdir
442         -rm -f $(distdir).zip
443         zip -rq $(distdir).zip $(distdir)
444         $(am__remove_distdir)
445
446 dist dist-all: distdir
447         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
448         $(am__remove_distdir)
449
450 # This target untars the dist file and tries a VPATH configuration.  Then
451 # it guarantees that the distribution is self-contained by making another
452 # tarfile.
453 distcheck: dist
454         case '$(DIST_ARCHIVES)' in \
455         *.tar.gz*) \
456           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
457         *.tar.bz2*) \
458           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
459         *.tar.lzma*) \
460           unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
461         *.tar.Z*) \
462           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
463         *.shar.gz*) \
464           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
465         *.zip*) \
466           unzip $(distdir).zip ;;\
467         esac
468         chmod -R a-w $(distdir); chmod a+w $(distdir)
469         mkdir $(distdir)/_build
470         mkdir $(distdir)/_inst
471         chmod a-w $(distdir)
472         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
473           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
474           && cd $(distdir)/_build \
475           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
476             $(DISTCHECK_CONFIGURE_FLAGS) \
477           && $(MAKE) $(AM_MAKEFLAGS) \
478           && $(MAKE) $(AM_MAKEFLAGS) dvi \
479           && $(MAKE) $(AM_MAKEFLAGS) check \
480           && $(MAKE) $(AM_MAKEFLAGS) install \
481           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
482           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
483           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
484                 distuninstallcheck \
485           && chmod -R a-w "$$dc_install_base" \
486           && ({ \
487                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
488                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
489                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
490                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
491                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
492               } || { rm -rf "$$dc_destdir"; exit 1; }) \
493           && rm -rf "$$dc_destdir" \
494           && $(MAKE) $(AM_MAKEFLAGS) dist \
495           && rm -rf $(DIST_ARCHIVES) \
496           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
497         $(am__remove_distdir)
498         @(echo "$(distdir) archives ready for distribution: "; \
499           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
500           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
501 distuninstallcheck:
502         @cd $(distuninstallcheck_dir) \
503         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
504            || { echo "ERROR: files left after uninstall:" ; \
505                 if test -n "$(DESTDIR)"; then \
506                   echo "  (check DESTDIR support)"; \
507                 fi ; \
508                 $(distuninstallcheck_listfiles) ; \
509                 exit 1; } >&2
510 distcleancheck: distclean
511         @if test '$(srcdir)' = . ; then \
512           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
513           exit 1 ; \
514         fi
515         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
516           || { echo "ERROR: files left in build directory after distclean:" ; \
517                $(distcleancheck_listfiles) ; \
518                exit 1; } >&2
519 check-am: all-am
520 check: check-recursive
521 all-am: Makefile $(DATA) config.h
522 installdirs: installdirs-recursive
523 installdirs-am:
524         for dir in "$(DESTDIR)$(docdir)"; do \
525           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
526         done
527 install: install-recursive
528 install-exec: install-exec-recursive
529 install-data: install-data-recursive
530 uninstall: uninstall-recursive
531
532 install-am: all-am
533         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
534
535 installcheck: installcheck-recursive
536 install-strip:
537         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
538           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
539           `test -z '$(STRIP)' || \
540             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
541 mostlyclean-generic:
542
543 clean-generic:
544
545 distclean-generic:
546         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
547
548 maintainer-clean-generic:
549         @echo "This command is intended for maintainers to use"
550         @echo "it deletes files that may require special tools to rebuild."
551 clean: clean-recursive
552
553 clean-am: clean-generic mostlyclean-am
554
555 distclean: distclean-recursive
556         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
557         -rm -f Makefile
558 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
559
560 dvi: dvi-recursive
561
562 dvi-am:
563
564 html: html-recursive
565
566 info: info-recursive
567
568 info-am:
569
570 install-data-am: install-dist_docDATA
571
572 install-dvi: install-dvi-recursive
573
574 install-exec-am:
575
576 install-html: install-html-recursive
577
578 install-info: install-info-recursive
579
580 install-man:
581
582 install-pdf: install-pdf-recursive
583
584 install-ps: install-ps-recursive
585
586 installcheck-am:
587
588 maintainer-clean: maintainer-clean-recursive
589         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
590         -rm -rf $(top_srcdir)/autom4te.cache
591         -rm -f Makefile
592 maintainer-clean-am: distclean-am maintainer-clean-generic
593
594 mostlyclean: mostlyclean-recursive
595
596 mostlyclean-am: mostlyclean-generic
597
598 pdf: pdf-recursive
599
600 pdf-am:
601
602 ps: ps-recursive
603
604 ps-am:
605
606 uninstall-am: uninstall-dist_docDATA
607
608 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
609         install-strip
610
611 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
612         all all-am am--refresh check check-am clean clean-generic \
613         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
614         dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
615         distclean-generic distclean-hdr distclean-tags distcleancheck \
616         distdir distuninstallcheck dvi dvi-am html html-am info \
617         info-am install install-am install-data install-data-am \
618         install-dist_docDATA install-dvi install-dvi-am install-exec \
619         install-exec-am install-html install-html-am install-info \
620         install-info-am install-man install-pdf install-pdf-am \
621         install-ps install-ps-am install-strip installcheck \
622         installcheck-am installdirs installdirs-am maintainer-clean \
623         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
624         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
625         uninstall-dist_docDATA
626
627 # Tell versions [3.59,3.63) of GNU make to not export all variables.
628 # Otherwise a system limit (for SysV at least) may be exceeded.
629 .NOEXPORT: